Subject: bug#28072: Org Mode Drawer Folds Unexpectedly

From: Mitch Norcross <[email-masked]>
Date: Tue, 5 Dec 2017 10:14:27 -0500

Hello Nicolas,
Thanks you so much for trying to reproduce my observation.
I see the discrepancy that you have uncovered...
It seems that to reproduce the problem, the drawer must be
inside the body of a headlined section.

So, simply adding a headline above the drawer should allow
you to reproduce the problem.  For example:

* Testing drawer that closes unexpectedly

:mydrawer:
  - Plain list item with children
      + some notes here
      + and here
      + some more here
:end:

Looking forward to hearing again from you.

Kind Regards,
/Mitch

On Mon, Dec 4, 2017 at 3:32 PM, Nicolas Goaziou <[email-masked]>
wrote:

> Hello,
>
> Mitch Norcross <[email-masked]> writes:
>
> > * ISSUE: Org Mode Drawer Folds Unexpectedly
> >
> > ** Issue Description
> >
> >   - Org Mode Drawers fold (unexpected) when user attempts to unfold a
> plain
> >     list item within the drawer after having folded it.
> >
> > ** Steps To Reproduce the Bug
> >
> >   - Steps
> >       1) Create a plain list with some hierarchy in it
> >       2) Put the list in a drawer
> >       3) Unfold the drawer
> >       4) Fold a list item that has children
> >       5) Try to unfold the list item that that you folded
> >   - Notice that the drawer then folds, unexpectedly
> >
> > :mydrawer:
> >   - Plain list item with children
> >       + some notes here
> >       + and here
> >       + some more here
> > :end:
>
> I cannot reproduce it.
>
> More explicitly, I copied the drawer above in a new file. I folded the
> top item, then immediately unfolded it. The drawer didn't move.
>
> Am I missing something?
>
> Regards,
>
> --
> Nicolas Goaziou                                                0x80A93738
>